"use strict";

const typeRules = require("./type-rules");
const createType = require("./create-type");
const createTrait = require("./create-trait");
const guardFunction = require("./guard-function");
const errors = require("./errors");

module.exports = Object.assign({
	createType: createType,
	createTrait: createTrait,
	guard: guardFunction,
	ValidationError: errors.ValidationError
}, typeRules);
